package org.loom.config;

import org.springframework.core.type.ClassMetadata;
import org.springframework.core.type.filter.AbstractClassTestingTypeFilter;

/**
 * Exclude abstract action classes from the search
 * @author icoloma
 */
public class NotInstantiableTypeFilter extends AbstractClassTestingTypeFilter {

	@Override
	protected boolean match(ClassMetadata metadata) {
		return metadata.isAbstract() || metadata.isInterface();
	}
	
}