package org.loom.converter;

import java.lang.annotation.Annotation;

import org.loom.binding.AnnotationContainer;

/**
 * Factory of {@link Converter} instances driven by the use of annotations on the affected property 
 * @author icoloma
 *
 */
public interface AnnotationDrivenConverterFactory<T extends Annotation> {

	/**
	 * @param annotation the annotation that was found on this property
	 * @return The converter for this property. 
	 */
	public Converter getConverter(AnnotationContainer container, T annotation);

	/**
	 * @return the annotation class processed by this factory
	 */
	public Class<T> getAnnotationClass();

	
}
