package org.loom.exception;

/**
 * Thrown when a required property is missing.
 * This should seldom be used, since usually this is controlled using validations.
 * @author icoloma
 *
 */
public class MissingRequiredPropertyException extends LocaleAwareException {

	public MissingRequiredPropertyException(String propertyName) {
		super(propertyName + " is required", "loom.validation.requiredFailed");
		addTranslatedArg("propertyName", propertyName);
	}
	
}
