/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.persistence.file;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;

/**
 * Extends PersistentFile with its data as a byte[]
 * @author icoloma
 */
@Entity
@Table(name="file_contents")
public class ByteArrayPersistentFileContents extends DatabaseFileContents {

	/** file contents */
	@Lob
	private byte[] contents;

	public byte[] getContentsAsBytes() {
		return contents;
	}
	
	public void setContentsAsBytes(byte[] contents) {
		this.contents = contents;
	}

	public InputStream getContentsAsStream() {
		return new ByteArrayInputStream(contents);
	}
	
	public Long getFileSize() {
		return (long)contents.length;
	}
	
}
