/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.resolution;

/**
 * A forward resolution
 * @author icoloma
 *
 */
public interface ForwardResolution extends CacheableResolution {

	/**
	 * Set a request-scoped attribute. This method is equivalent to invoking 
	 * request.setAttribute(name, value)
	 * @param name the name of the attribute to set
	 * @param value the value of the attribute
	 * @return this same resolution instance
	 */
	public ForwardResolution set(String name, Object value);
	
	/**
	 * Set a request-scoped attribute. This method is equivalent to invoking 
	 * request.setAttribute(name, value)
	 * @param name the name of the attribute to set
	 * @param value the value of the attribute
	 * @return this same resolution instance
	 * @deprecated use {@link ForwardResolution#set} instead
	 */
	public ForwardResolution setAttribute(String name, Object value);

	
}
