package org.loom.resources;

import java.util.List;

import org.springframework.core.io.Resource;

/**
 * A bundle or individual resource (bundle + index + resource name)
 * @author icoloma
 *
 */
public interface WebResource {

	/**
	 * @return the type of this resource (javascript, css or unknown)
	 */
	public WebResourceType getType();

	/**
	 * @return the name of this {@link WebResource}
	 */
	public String getName();

	/**
	 * @return the list of Resources included in this {@link WebResource}
	 */
	public List<Resource> getResources();
	
	/**
	 * @return the charset used by this resource
	 */
	public String getCharset();

	/**
	 * @return true if this resource should be obfuscated, null to use default (Config.development)
	 */
	public Boolean getObfuscate();
	
}