package org.loom.resources.compressor;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import org.loom.exception.SyntaxError;

/**
 * A class that compresses a file (javascript or css), minifying and possibly obfuscating the code.
 * @author icoloma
 *
 */
public interface WebResourceCompressor {

	/**
	 * Compress the input contents and write into the output stream.
	 * @param input the input stream of the source file
	 * @param output the output stream where the compressed contents should be written.
	 */
	public void compress(InputStream input, OutputStream output) throws IOException, SyntaxError;
	
}
