package org.loom.spring;

import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.ScopeMetadata;
import org.springframework.context.annotation.ScopeMetadataResolver;

/**
 * Put all Action in PROTOTYPE scope instead of the default SINGLETON
 * @author icoloma
 *
 */
public class PrototypeScopeResolver implements ScopeMetadataResolver {

	private ScopeMetadata scope;
	
	public PrototypeScopeResolver() {
		scope = new ScopeMetadata();
		scope.setScopeName(BeanDefinition.SCOPE_PROTOTYPE);
	}
	
	public ScopeMetadata resolveScopeMetadata(BeanDefinition definition) {
		return scope;
	}

}
