package org.loom.tags;

import javax.servlet.jsp.PageContext;

/**
 * Interface of a proxy that isolates from the JSP engine (2.0 or 2.1) used.
 * @author icoloma
 *
 */
public interface ExpressionLanguageProxy {

	
	/**
	 * Execute a EL expression and return the result
	 * @param pageContext the context of this request execution
	 * @param expression the EL expression
	 * @return the result of executing the EL expression
	 */
	public  Object evaluateExpression(PageContext pageContext, String expression);
	
}
