package org.loom.tags;

import javax.el.ELContext;
import javax.el.ExpressionFactory;
import javax.el.ValueExpression;
import javax.servlet.ServletContext;
import javax.servlet.jsp.JspApplicationContext;
import javax.servlet.jsp.JspFactory;
import javax.servlet.jsp.PageContext;

/**
 * Uses the EL expressions provided by JEE5 and JSP 2.1
 * @author icoloma
 *
 */
public class Jee5ExpressionLanguageProxy implements ExpressionLanguageProxy {

	private ServletContext context;
	
	public Object evaluateExpression(PageContext pageContext, String expression) {
		JspApplicationContext applicationContext = JspFactory.getDefaultFactory().getJspApplicationContext(context);
		ExpressionFactory factory = applicationContext.getExpressionFactory();
		ELContext elContext = pageContext.getELContext();
		ValueExpression valueExpression = factory.createValueExpression(elContext, expression, Object.class);
		return valueExpression.getValue(elContext);
	}

	public void setServletContext(ServletContext context) {
		this.context = context;
	}

	
	
}
