package org.loom.tags;

import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.el.ELException;
import javax.servlet.jsp.el.ExpressionEvaluator;

/**
 * Uses the EL expressions provided by JEE 1.4 and JSP 2.0
 * @author icoloma
 */
@SuppressWarnings("deprecation")
public class LegacyExpressionLanguageProxy implements ExpressionLanguageProxy {

	public Object evaluateExpression(PageContext pageContext, String expression) {
		
		try {
			ExpressionEvaluator evaluator = pageContext.getExpressionEvaluator();
			return evaluator.evaluate(expression, Object.class, pageContext.getVariableResolver(), null);
		} catch (ELException e) {
			throw new RuntimeException("Error evaluating \"" + expression + "\": " + e);
		}
	}

}
