/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import org.apache.commons.io.IOUtils;

/**
 * Expand the properties class with some methods  
 * @author icoloma
 */
public abstract class PropertiesUtils extends java.util.Properties {

	public static Properties loadFromClasspath(String filename) {
		Properties props = new Properties();
		InputStream input = Thread.currentThread().getContextClassLoader().getResourceAsStream(filename);
		if (input == null)
			throw new RuntimeException(filename + " not found in classpath");
		try {
			props.load(input);
			return props;
		} catch (IOException e) {
			throw new RuntimeException(e);
		} finally {
			IOUtils.closeQuietly(input);
		}
	}
	
}
